org.faceless.pdf2.viewer2.feature

## Class About

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.ViewerWidget
    - - org.faceless.pdf2.viewer2.feature.About

- Direct Known Subclasses:
    SplashScreen

      public class About
      extends ViewerWidget

  Create a simple "About" dialog displaying information about the PDFViewer and the runtime environment.
  The following initialization parameters can be specified to configure this feature (since 2.11.23). Setting any one of these to the empty string will remove them from the dialog completely.

  Icon | The URL of the Icon to display instead of the BFO logo - the image should be roughly 100 pixels wide
  Title | The title to display (default is "Java PDF Viewer")
  Main | The main body to display. Default is the BFO Copyright message
  PDF Library | The version number of the PDF Library
  Java | The version of Java in use
  JavaScript | The JavaScript engine that's in use
  Licensed To | The details of the license for the PDF Library
  Expiry | The expiry date for the License
  Memory | The amount of memory available to the JVM
  NoFeatures | If set, the list of features will never be displayed

  The name of this feature is About

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.8

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `About()`
    `protected` | `About(String title)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action(ViewerEvent event)` The method that's run when this feature is activated.
    `Object` | `putProperty(String key, Object property)` Add a property to the "About" dialog.
    `static Object` | `putStaticProperty(String key, Object property)` Add a property to the "About" dialog.
    `void` | `showAboutDialog(PDFViewer viewer, boolean featurelist, int autoclear)` Show an "About" dialog in the viewer.

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerWidget

      `createActionListener, getComponent, getIcon, getViewer, initialize, isButtonEnabledByDefault, isDocumentRequired, isMenuEnabledByDefault, setButton, setComponent, setDocumentRequired, setMenu, setMenu, setToolBarEnabled, setToolBarEnabledAlways, setToolBarFloatable, setToolBarFloating, toString`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### About

          public About()

    - #### About

          protected About(String title)

  - ### Method Detail

    - #### action

          public void action(ViewerEvent event)

      Description copied from class: `ViewerWidget`
      The method that's run when this feature is activated. This method is called by the `ActionListener` returned by the default implementation of `ViewerWidget.createActionListener()`, and by default is a no-op.
      Overrides:
        `action` in class `ViewerWidget`

    - #### putStaticProperty

          public static Object putStaticProperty(String key,
                                                 Object property)

      Add a property to the "About" dialog. This method is static, which means that properties set via this method will appear in all About dialogs created by this class and its subclasses. Keys that have alreay been set and may be overridden include:

      Icon | The URL of the Icon to display in the dialog
      Title | The Title displayed in the dialog
      Main | The main line of text
      PDF Library | The version of the PDF Viewer software
      Java | The version of Java being run
      JavaScript | The JavaScript implementation availabe to the Viewer

      Any one of these keys may be overriden or have their value set to `null` to suppress their display.
      Since:
        2.9

    - #### putProperty

          public Object putProperty(String key,
                                    Object property)

      Add a property to the "About" dialog. This method only adds properties to About dialogs created by this instance. Values set in this way will override values set via the `putStaticProperty(java.lang.String, java.lang.Object)` method.
      Since:
        2.9

    - #### showAboutDialog

          public void showAboutDialog(PDFViewer viewer,
                                      boolean featurelist,
                                      int autoclear)

      Show an "About" dialog in the viewer.
      Parameters:
        `viewer` - the Viewer this about dialog relates to
        `featurelist` - whether to display the list of Features available to the viewer
        `autoclear` - the number of ms to wait before clearing the dialog. A value of 0 means the dialog must be clicked to close.
      Since:
        2.9

Copyright © 2001-2015 Big Faceless Organization